Subject: Re: linux-next: firmware build failure

From: David Woodhouse <[email-masked]>
Date: Wed, 04 Jun 2008 10:22:57 +0100

On Wed, 2008-06-04 at 16:46 +1000, Stephen Rothwell wrote:
> -                 echo "    .align $(ASM_ALIGN)"                        >>$@;\
> +                 echo "    .p2align $${ASM_ALIGN}"                     >>$@;\

Ah, thanks. I did originally start doing it with big C files with char
arrays, which made this part easier -- but I really wanted to
use .incbin so I didn't have to copy the whole of the object into
'source' code. Just checking that that actually does the right thing on
ppc and ppc64 too, and I'll refactor it to include that. And the kaweth
fix.

Then I'll go seeking the usb tree of which you speak, with the ti patch
that conflicts. This not the tree at
kernel.org:/pub/scm/linux/kernel/git/gregkh/usb-2.6.git labelled 'junk
tree; please ignore', I assume?

-- 
dwmw2